import folium
import webbrowser

# Coordonnées du Mont Saint-Michel
latitude = 48.6361
longitude = -1.5115

# Créer une carte centrée sur le Mont Saint-Michel
m = folium.Map(location=[latitude, longitude], zoom_start=10)

# Ajouter un marqueur pour le Mont Saint-Michel
folium.Marker([latitude, longitude], popup="Mont Saint-Michel").add_to(m)

# Sauvegarder la carte dans un fichier HTML
html_file = "carte_mont_saint_michel.html"
m.save(html_file)

# Ouvrir le fichier HTML dans le navigateur
webbrowser.open('carte_mont_saint_michel.html')
